中危 sqlparse 安全漏洞(CVE-2023-30608)

CVE编号

CVE-2023-30608

利用情况

暂无

补丁情况

官方补丁

披露时间

2023-04-19
漏洞描述
sqlparse是 Python 的非验证 SQL 解析器。它提供对 SQL 语句的解析、拆分和格式化的支持。
sqlparse 0.1.15版本及之后版本存在安全漏洞。攻击者利用该漏洞导致系统拒绝服务。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 sqlparse_project sqlparse * From
(including)
0.1.15
Up to
(including)
0.4.4
运行在以下环境
系统 debian_10 sqlparse * Up to
(excluding)
0.2.4-1+deb10u1
运行在以下环境
系统 opensuse_Leap_15.4 python3-sqlparse * Up to
(excluding)
0.4.2-150300.3.6.1
运行在以下环境
系统 opensuse_Leap_15.5 python3-sqlparse * Up to
(excluding)
0.4.2-150300.3.6.1
运行在以下环境
系统 rocky_linux_8 libdb-cxx * Up to
(excluding)
5.3.28-42.el8_4
运行在以下环境
系统 ubuntu_18.04 sqlparse * Up to
(excluding)
0.2.4-0.1ubuntu0.1
运行在以下环境
系统 ubuntu_20.04 sqlparse * Up to
(excluding)
0.2.4-3ubuntu0.1
运行在以下环境
系统 ubuntu_22.04 sqlparse * Up to
(excluding)
0.4.2-1ubuntu0.22.04.1
运行在以下环境
系统 ubuntu_22.10 sqlparse * Up to
(excluding)
0.4.2-1ubuntu0.22.10.1
阿里云评分
6.2
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-1333 Inefficient Regular Expression Complexity
阿里云安全产品覆盖情况